## Name

matrixCompMult — perform a component-wise multiplication of two matrices

## Declaration

`mat matrixCompMult(` | mat x,
| mat y`)`;

`dmat matrixCompMult(` | dmat x,
| dmat y`)`;

## Parameters

`x`

  Specifies the first matrix multiplicand.

`y`

  Specifies the second matrix multiplicand.

## Description

`matrixCompMult` performs a component-wise multiplication of two matrices, yielding a result matrix where each component, `result[i][j]` is computed as the scalar product of ``x`[i][j]` and ``y`[i][j]`.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
matrixCompMult (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
matrixCompMult (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

dot, reflect

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.